Method: networks.trafficForecastSegments.patch

Updates a TrafficForecastSegment object.

HTTP request

PATCH https://admanager.googleapis.com/v1/{trafficForecastSegment.name}

Path parameters

Parameters
trafficForecastSegment.name

string

Identifier. The resource name of the TrafficForecastSegment. Format: networks/{networkCode}/trafficForecastSegments/{trafficForecastSegmentId}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of TrafficForecastSegment.

Response body

If successful, the response body contains an instance of TrafficForecastSegment.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.